Subject: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jan 2023 19:11:08 +0200

> Date: Mon, 30 Jan 2023 15:03:54 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> > What exactly will that remove? only what's on the feature branch, or 
> > also some stuff on the emacs-29 branch?
> 
> The "locked narrowing" feature, IOW, the portions of editfns.c in which it 
> is implemented, and its use around pre-command-hook, post-command-hook and 
> fontification-functions.
> 
> >
> > And what are your reasons for removing this?  It is hard to tell whether 
> > or not I agree without knowing to what I should agree ;-)
> >
> 
> The reason is that I'm now convinced that it is not a good solution to the 
> problem of ill-behaving modes in the presence of long lines.

So we are removing all the stuff that prevented font-lock from slowing
down redisplay when long lines are in the buffer?  IOW, something
which we have for several months, and which so far brought up only one
complaint?  Frankly, this makes no sense to me, unless we delay the
pretest for another half year or so.  It's too late for such changes.

Or am I missing something?